Index: src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java	(revision 3ba01daaa2b7262dd53bc14d407ebb36d1ef94b8)
+++ src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java	(revision a3d63eb126b369608e548cbf461b153cd008f391)
@@ -3,7 +3,12 @@
 import com.example.rezevirajmasa.demo.model.MembershipLevel;
 import com.example.rezevirajmasa.demo.model.Role;
+import lombok.Getter;
+import lombok.Setter;
 
 import java.sql.Date;
+import java.sql.Timestamp;
 
+@Setter
+@Getter
 public class CustomerDTO {
     private Long customerId;
@@ -14,77 +19,5 @@
     private String address;
     private MembershipLevel membershipLevel;
-    private Date registrationDate;
+//    private Date registrationDate;
     private Role role;
-
-    public Long getCustomerId() {
-        return customerId;
-    }
-
-    public void setCustomerId(Long customerId) {
-        this.customerId = customerId;
-    }
-
-    public String getFirstName() {
-        return firstName;
-    }
-
-    public void setFirstName(String firstName) {
-        this.firstName = firstName;
-    }
-
-    public String getLastName() {
-        return lastName;
-    }
-
-    public void setLastName(String lastName) {
-        this.lastName = lastName;
-    }
-
-    public String getEmail() {
-        return email;
-    }
-
-    public void setEmail(String email) {
-        this.email = email;
-    }
-
-    public String getPhone() {
-        return phone;
-    }
-
-    public void setPhone(String phone) {
-        this.phone = phone;
-    }
-
-    public String getAddress() {
-        return address;
-    }
-
-    public void setAddress(String address) {
-        this.address = address;
-    }
-
-    public MembershipLevel getMembershipLevel() {
-        return membershipLevel;
-    }
-
-    public void setMembershipLevel(MembershipLevel membershipLevel) {
-        this.membershipLevel = membershipLevel;
-    }
-
-    public Date getRegistrationDate() {
-        return registrationDate;
-    }
-
-    public void setRegistrationDate(Date registrationDate) {
-        this.registrationDate = registrationDate;
-    }
-
-    public Role getRole() {
-        return role;
-    }
-
-    public void setRole(Role role) {
-        this.role = role;
-    }
 }
Index: src/main/java/com/example/rezevirajmasa/demo/model/Customer.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/Customer.java	(revision 3ba01daaa2b7262dd53bc14d407ebb36d1ef94b8)
+++ src/main/java/com/example/rezevirajmasa/demo/model/Customer.java	(revision a3d63eb126b369608e548cbf461b153cd008f391)
@@ -153,3 +153,4 @@
                 '}';
     }
+
 }
Index: src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java	(revision 3ba01daaa2b7262dd53bc14d407ebb36d1ef94b8)
+++ src/main/java/com/example/rezevirajmasa/demo/service/CustomerService.java	(revision a3d63eb126b369608e548cbf461b153cd008f391)
@@ -2,4 +2,5 @@
 
 import ch.qos.logback.core.net.server.Client;
+import com.example.rezevirajmasa.demo.dto.CustomerDTO;
 import com.example.rezevirajmasa.demo.model.Customer;
 import com.example.rezevirajmasa.demo.model.MembershipLevel;
@@ -19,3 +20,4 @@
     Customer registration(Customer customer);
     boolean deleteById(Long customerId);
+    public CustomerDTO mapCustomerToDTO(Customer customer);
 }
Index: src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java	(revision 3ba01daaa2b7262dd53bc14d407ebb36d1ef94b8)
+++ src/main/java/com/example/rezevirajmasa/demo/service/impl/CustomerServiceImpl.java	(revision a3d63eb126b369608e548cbf461b153cd008f391)
@@ -1,4 +1,5 @@
 package com.example.rezevirajmasa.demo.service.impl;
 
+import com.example.rezevirajmasa.demo.dto.CustomerDTO;
 import com.example.rezevirajmasa.demo.model.Customer;
 import com.example.rezevirajmasa.demo.model.MembershipLevel;
@@ -103,3 +104,17 @@
         }
     }
+
+    @Override
+    public CustomerDTO mapCustomerToDTO(Customer customer) {
+        CustomerDTO dto = new CustomerDTO();
+        dto.setCustomerId(customer.getCustomerId());
+        dto.setFirstName(customer.getFirstName());
+        dto.setLastName(customer.getLastName());
+        dto.setAddress(customer.getAddress());
+        dto.setEmail(customer.getEmail());
+        dto.setPhone(customer.getPhone());
+        dto.setMembershipLevel(customer.getMembershipLevel());
+
+        return dto;
+    }
 }
Index: src/main/java/com/example/rezevirajmasa/demo/web/rest/testController.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/web/rest/testController.java	(revision 3ba01daaa2b7262dd53bc14d407ebb36d1ef94b8)
+++ src/main/java/com/example/rezevirajmasa/demo/web/rest/testController.java	(revision a3d63eb126b369608e548cbf461b153cd008f391)
@@ -16,4 +16,5 @@
 import java.time.LocalDateTime;
 import java.time.format.DateTimeFormatter;
+import java.util.ArrayList;
 import java.util.List;
 import java.util.Map;
@@ -92,6 +93,12 @@
 
     @RequestMapping("/api/customers")
-    public ResponseEntity<List<Customer>> getAllCustomers() {
-        return new ResponseEntity<List<Customer>>(customerService.listAll(), HttpStatus.OK);
+    public ResponseEntity<List<CustomerDTO>> getAllCustomers() {
+        List<Customer> customers = customerService.listAll();
+        List<CustomerDTO> dtos = new ArrayList<>();
+        for(Customer customer : customers) {
+            CustomerDTO dto = customerService.mapCustomerToDTO(customer);
+            dtos.add(dto);
+        }
+        return new ResponseEntity<List<CustomerDTO>>(dtos, HttpStatus.OK);
     }
 
@@ -100,22 +107,4 @@
         return new ResponseEntity<Customer>(customerService.findById(id), HttpStatus.OK);
     }
-
-//    @RequestMapping("/api/customers/{id}")
-//    public ResponseEntity<CustomerDTO> getCustomerById(@PathVariable Long id) {
-//        Customer customer = customerService.findById(id);
-//        CustomerDTO customerDTO = new CustomerDTO();
-//        customerDTO.setCustomerId(customerDTO.getCustomerId());
-//        customerDTO.setAddress(customerDTO.getAddress());
-//        customerDTO.setEmail(customerDTO.getEmail());
-//        customerDTO.setPhone(customerDTO.getPhone());
-//        customerDTO.setRole(customerDTO.getRole());
-//        customerDTO.setFirstName(customerDTO.getFirstName());
-//        customerDTO.setLastName(customerDTO.getLastName());
-//        customerDTO.setMembershipLevel(customerDTO.getMembershipLevel());
-//        customerDTO.setRegistrationDate(customerDTO.getRegistrationDate());
-//
-//        return ResponseEntity.ok(customerDTO);
-//    }
-
     @PutMapping("/api/customers/edit/{id}")
     public ResponseEntity<Customer> editCustomerById(@PathVariable Long id, @RequestBody Customer customer) {
